Get an Extension for UI consumption
Get an Extension by id with admin-only fields omitted. Intended for non-admin UI consumption. Returns 404 for globally-disabled or soft-deleted Extensions.
curl --request GET \
--url https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"id": "<string>",
"kind": "DominoOfficial",
"name": "<string>",
"totalViews": 123,
"uiMountPointTypeConfigs": {
"adminPanel": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"dataset": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"datasetFileContext": {
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"modelDetails": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolume": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolumeFileContext": {
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"projectSidebar": {
"allProjects": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"appVersionId": "<string>",
"description": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
The id of the Extension to retrieve.
Response
Success
Non-admin, UI-facing view of an Extension. Drops admin fields including enabled flags and project-scoped mountPoints arrays.
The id of the App associated with the Extension.
The date and time when the Extension was created.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
The id of the Extension.
The category of the Extension.
DominoOfficial, Uncategorized The name of the Extension.
The total number of views across all app versions.
UI-facing mount point type configurations. Drops the per-mount enabled flag and project-scoped mountPoints arrays.
Show child attributes
Show child attributes
The date and time when the Extension was last updated.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
The version of the App associated with the Extension.
The description of the Extension.
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/extensions/beta/extensions-ui/{extensionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"id": "<string>",
"kind": "DominoOfficial",
"name": "<string>",
"totalViews": 123,
"uiMountPointTypeConfigs": {
"adminPanel": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"dataset": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"datasetFileContext": {
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"modelDetails": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolume": {
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolumeFileContext": {
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"projectSidebar": {
"allProjects": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"appVersionId": "<string>",
"description": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}